package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(music_group_payment_calender):
 */
public class MusicGroupPaymentCalender {

	/**  */
	private Long id;
	
	/**  */
	@ApiModelProperty(value = "乐团编号",required = false)
	private String musicGroupId;
	
	/** 缴费月份 */
	@ApiModelProperty(value = "缴费月份",required = false)
	private Integer paymentMonth;
	
	/** 开始缴费日期 */
	@ApiModelProperty(value = "开始缴费日期",required = false)
	private java.util.Date startPaymentDate;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setMusicGroupId(String musicGroupId){
		this.musicGroupId = musicGroupId;
	}
	
	public String getMusicGroupId(){
		return this.musicGroupId;
	}
			
	public void setPaymentMonth(Integer paymentMonth){
		this.paymentMonth = paymentMonth;
	}
	
	public Integer getPaymentMonth(){
		return this.paymentMonth;
	}
			
	public void setStartPaymentDate(java.util.Date startPaymentDate){
		this.startPaymentDate = startPaymentDate;
	}
	
	public java.util.Date getStartPaymentDate(){
		return this.startPaymentDate;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
